# $Id: builder.py,v 1.3 2001/08/10 12:26:00 erik Exp $
# $Source: /cvs/make_product/builder.py,v $
__version__='$Revision: 1.3 $'[11:-2]

"""The builder module provides nice builder/factory-functions to set
up instances of whatever turns you on.  Make sure you use these
methods instead of accessing the classes directly; 'cus that's a
no-no."""

import product
import klass
import method
import property

def zope_product_builder(*args, **kw):
    """Helper-method for building a zope_product instance"""
    return apply(product.zope_product, args, kw)

def klass_product_builder(*args, **kw):
    """Helper-method for building a klass_product instance"""
    return apply(product.klass_product, args, kw)

def basic_product_builder(*args, **kw):
    """Helper-method for building a basic_product instance"""
    return apply(product.klass_product, args, kw)

def klass_builder(*args, **kw):
    """Helper-method for building a klass instance"""
    return apply(klass.klass, args, kw)

def property_klass_builder(*args, **kw):
    """Helper-method for building a property_klass instance"""
    return apply(klass.property_klass, args, kw)

def klass_rendrer_builder(*args, **kw):
    """Helper-method for building a property_klass instance"""
    return apply(klass.klass_rendrer, args, kw)

def property_klass_rendrer_builder(*args, **kw):
    """Helper-method for building a property_klass instance"""
    return apply(klass.property_klass_rendrer, args, kw)

def method_klass_rendrer_builder(*args, **kw):
    """Helper-method for building a property_klass instance"""
    return apply(klass.method_klass_rendrer, args, kw)

def method_klass_builder(*args, **kw):
    """Helper-method for building a property_klass instance"""
    return apply(klass.method_klass, args, kw)

def basic_klass_builder(*args, **kw):
    """Helper-method for building a basic_klass instance"""
    return apply(klass.basic_klass, args, kw)

def method_builder(*args, **kw):
    """Helper-method for building a method instance"""
    return apply(method.method, args, kw)

def property_builder(*args, **kw):
    """Helper-method for building a property instance"""
    return apply(property.property, args, kw)

