# $Id: property.py,v 1.2 2001/07/23 07:56:19 erik Exp $
# $Source: /cvs/make_product/property.py,v $
__version__='$Revision: 1.2 $'[11:-2]

"""Classes for manipulating properties/attributes"""

class basic_property:
    """A basic property class"""

    def __init__(self, **kw):
        """Initialize an instance of the class"""
        self.id = kw['id']
        try: self.type = kw['type']
        except KeyError: self.type = 'string'
        try: self.default = kw['default']
        except KeyError: self.default = "''"
        try: self.mode = kw['mode']
        except KeyError: self.mode = 'w'

class property_rendrer(basic_property):
    """Provides basic_property class with methods for rendering itself
    to text"""

    def render_self(self, indent=''):
        """Render the property instance in text.  This will be
        used when the product class will write itself out to
        the filesystem."""
        return indent + "{'id':'"+self.id+"', 'type':'"+self.type+\
               "', 'default':"+str(self.default)+", 'mode':'"+self.mode+"'}"

class property(property_rendrer):
    """This class represents a Zope-type property"""
    pass
