"""This module provides the base_item class"""

import OFS.PropertyManager
import Acquisition

from Globals import DTMLFile, InitializeClass, Persistent
from AccessControl import ClassSecurityInfo, Role

class base_item(
    Persistent,
    Acquisition.Implicit,
    Role.RoleManager,
    OFS.PropertyManager.PropertyManager):

    """It is intended that you subclass this class in all your classes
    (that you are going to use with Zope); so this class should
    provide all the common methods and superclasses."""

    meta_type = ''
    icon = ''
    meta_classes = ()
    _properties = ()

    security = ClassSecurityInfo()

    security.declarePrivate('__init__')
    def __init__(self, id, values={}):
        """Initialize the class instance"""
        self.id = id

        for property in self._properties:
            if property['id'] in values.keys():
                self._setPropValue(property['id'], values[property['id']])
            elif property.has_key('default'):
                self._setPropValue(property['id'], property['default'])

InitializeClass(base_item)
